Index: wsdl/fedd.wsdl
===================================================================
--- wsdl/fedd.wsdl	(revision bb39689f8df0820b469dad38313df2fb7c844ab0)
+++ wsdl/fedd.wsdl	(revision bb39689f8df0820b469dad38313df2fb7c844ab0)
@@ -0,0 +1,355 @@
+<?xml version="1.0"?>
+<definitions name="fedd"
+  targetNamespace="http://www.isi.edu/faber/fedd.wsdl"
+  xmlns:tns="http://www.isi.edu/faber/fedd.wsdl"
+  xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
+  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
+  xmlns="http://schemas.xmlsoap.org/wsdl/">
+
+   <import namespace="http://www.isi.edu/faber/fedd_types" 
+         location="fedd_types.xsd"/>
+  <!--
+  The message definitions are all simple embeddings of one of the types
+  from fedd_types.xsd 
+  -->
+  <message name="RequestAccessRequestMessage">
+    <part name="RequestAccessRequestBody" type="xsd1:requestType"/>
+  </message>
+
+  <message name="RequestAccessResponseMessage">
+    <part name="RequestAccessResponseBody" type="xsd1:responseType"/>
+  </message>
+
+  <message name="ReleaseAccessRequestMessage">
+    <part name="ReleaseAccessRequestBody" type="xsd1:releaseRequestType"/>
+  </message>
+
+  <message name="ReleaseAccessResponseMessage">
+    <part name="ReleaseAccessResponseBody" type="xsd1:releaseResponseType"/>
+  </message>
+  <message name="CreateRequestMessage">
+    <part name="CreateRequestBody" type="xsd1:createRequestType"/>
+  </message>
+
+  <message name="CreateResponseMessage">
+    <part name="CreateResponseBody" type="xsd1:createResponseType"/>
+  </message>
+
+  <message name="VtopoRequestMessage">
+    <part name="VtopoRequestBody" type="xsd1:vtopoRequestType"/>
+  </message>
+
+  <message name="VtopoResponseMessage">
+    <part name="VtopoResponseBody" type="xsd1:vtopoResponseType"/>
+  </message>
+
+  <message name="VisRequestMessage">
+    <part name="VisRequestBody" type="xsd1:visRequestType"/>
+  </message>
+
+  <message name="VisResponseMessage">
+    <part name="VisResponseBody" type="xsd1:visResponseType"/>
+  </message>
+
+  <message name="InfoRequestMessage">
+    <part name="InfoRequestBody" type="xsd1:infoRequestType"/>
+  </message>
+
+  <message name="InfoResponseMessage">
+    <part name="InfoResponseBody" type="xsd1:infoResponseType"/>
+  </message>
+
+  <message name="MultiInfoRequestMessage">
+    <part name="MultiInfoRequestBody" type="xsd1:multiInfoRequestType"/>
+  </message>
+
+  <message name="MultiInfoResponseMessage">
+    <part name="MultiInfoResponseBody" type="xsd1:multiInfoResponseType"/>
+  </message>
+
+  <message name="TerminateRequestMessage">
+    <part name="TerminateRequestBody" type="xsd1:terminateRequestType"/>
+  </message>
+
+  <message name="TerminateResponseMessage">
+    <part name="TerminateResponseBody" type="xsd1:terminateResponseType"/>
+  </message>
+
+  <message name="FaultMessage">
+    <part name="FaultBody" type="xsd1:faultType"/>
+  </message>
+
+  <portType name="feddPortType">
+    <operation name="RequestAccess">
+      <documentation>
+	Request access to a testbed.  The request includes the various
+	resources needed (loosely), the identity of the requester, access
+	credentials andscheduling information.  A successful response includes
+	enough information for the federation system to access the testbed and
+	actually request resources.
+      </documentation>
+      <input message="tns:RequestAccessRequestMessage"/>
+      <output message="tns:RequestAccessResponseMessage"/>
+      <fault name="RequestAccessFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="ReleaseAccess">
+      <documentation>
+	Release an allocation of access to a testbed. This informs the testbed
+	that it is no longer necessary to allow the access mthods negotiated by
+	a RequestAccess cal.
+      </documentation>
+      <input message="tns:ReleaseAccessRequestMessage"/>
+      <output message="tns:ReleaseAccessResponseMessage"/>
+      <fault name="ReleaseAccessFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Create">
+      <documentation>
+	A request to create a federated experiment from the included
+	description.  Credentials and access information is also provided.  On
+	success a logical description of the experiment is returned as well as
+	the information about federated testbeds needed to access local
+	services.
+      </documentation>
+      <input message="tns:CreateRequestMessage"/>
+      <output message="tns:CreateResponseMessage"/>
+      <fault name="CreateFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Vtopo">
+      <documentation>
+	A request for the virtual topology of the experiment.  Requesters with
+	different access rights may receive different information.
+      </documentation>
+      <input message="tns:VtopoRequestMessage"/>
+      <output message="tns:VtopoResponseMessage"/>
+      <fault name="VtopoFeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Vis">
+      <documentation>
+	A request for the visualization of the experiment.  This is really a
+	legacy interface for visual tools that cannot generate their own
+	visualization.  Requesters with different access rights may receive
+	different information.
+      </documentation>
+      <input message="tns:VisRequestMessage"/>
+      <output message="tns:VisResponseMessage"/>
+      <fault name="VisFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
+    <operation name="Info">
+      <documentation>
+	A one-stop request for meta-data on the experiment.  Includes all the
+	info from a Vtopo and a Vis request.
+      </documentation>
+      <input message="tns:InfoRequestMessage"/>
+      <output message="tns:InfoResponseMessage"/>
+      <fault name="InfoFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
+    <operation name="MultiInfo">
+      <documentation>
+	A one-stop request for meta-data on the experiment.  Includes all the
+	info from a Vtopo and a Vis request.
+      </documentation>
+      <input message="tns:MultiInfoRequestMessage"/>
+      <output message="tns:MultiInfoResponseMessage"/>
+      <fault name="MultiInfoFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
+    <operation name="Terminate">
+      <documentation>
+	Stop this experiment and deallocate its resources.
+      </documentation>
+      <input message="tns:TerminateRequestMessage"/>
+      <output message="tns:TerminateResponseMessage"/>
+      <fault name="TerminateFeddFault" message="tns:FaultMessage"/>
+    </operation>
+  </portType>
+
+  <binding name="feddBinding" type="tns:feddPortType">
+      <documentation>
+	These are really very straight ahead SOAP RPC bindings.  They're 1.1
+	SOAP and not much outside the defaults.  No interesting header packing
+	or fault configuration yet.
+      </documentation>
+    <soap:binding style="rpc" 
+      transport="http://schemas.xmlsoap.org/soap/http"/>
+      <operation name="RequestAccess">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="RequestAccess"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:RequestAccessRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:RequestAccessResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="RequestAccessFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="ReleaseAccess">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="ReleaseAccess"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:ReleaseAccessRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:ReleaseAccessResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="ReleaseAccessFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Create">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Create"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:CreateRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:CreateResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="CreateFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Vtopo">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Vtopo"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:VtopoRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:VtopoResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="VtopoFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+
+      <operation name="Vis">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Vis"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:VisRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:VisResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="VisFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Info">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Info"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:InfoRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:InfoResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="InfoFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="MultiInfo">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="MultiInfo"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:MultiInfoRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:MultiInfoResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="MultiInfoFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="Terminate">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="Terminate"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:TerminateRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:TerminateResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="TerminateFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+    </binding>
+
+    <service name="feddService">
+      <documentation>
+	Fedd resource access service
+      </documentation>
+      <port name="feddPort" binding="tns:feddBinding">
+	<soap:address location="http://www.isi.edu/faber/fedd"/>
+      </port>
+    </service>
+</definitions>
